CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events
CommandMessenger.Transport.Serial.SerialTransport Class Reference

Fas Manager for serial port data. More...

Inheritance diagram for CommandMessenger.Transport.Serial.SerialTransport:

List of all members.

## Public Member Functions
bool | Connect ()
| Connects to a serial port defined through the current settings.
bool | IsConnected ()
| Query if the serial port is open.
bool | Disconnect ()
| Stops listening to the serial port.
void | Write (byte[] buffer)
| Writes a parameter to the serial port.
byte[] | Read ()
| Reads the serial buffer into the string buffer.
void | Dispose ()
## Protected Member Functions
virtual void | Dispose (bool disposing)
## Properties
SerialSettings | CurrentSerialSettings`[get, set]`
| Gets or sets the current serial port settings.
## Events
EventHandler | DataReceived
| Bytes have been received event.

## Detailed Description

Fas Manager for serial port data.

## Member Function Documentation

bool CommandMessenger.Transport.Serial.SerialTransport.Connect | ( |  | ) |

Connects to a serial port defined through the current settings.

Returns:
  true if it succeeds, false if it fails.

Implements CommandMessenger.Transport.ITransport.

bool CommandMessenger.Transport.Serial.SerialTransport.Disconnect | ( |  | ) |

Stops listening to the serial port.

Returns:
  true if it succeeds, false if it fails.

Implements CommandMessenger.Transport.ITransport.

bool CommandMessenger.Transport.Serial.SerialTransport.IsConnected | ( |  | ) |

Query if the serial port is open.

Returns:
  true if open, false if not.

Implements CommandMessenger.Transport.ITransport.

byte [] CommandMessenger.Transport.Serial.SerialTransport.Read | ( |  | ) |

Reads the serial buffer into the string buffer.

Implements CommandMessenger.Transport.ITransport.

void CommandMessenger.Transport.Serial.SerialTransport.Write | ( | byte[] | buffer | ) |

Writes a parameter to the serial port.

Parameters:

  buffer | The buffer to write.

Implements CommandMessenger.Transport.ITransport.

## Property Documentation

SerialSettings CommandMessenger.Transport.Serial.SerialTransport.CurrentSerialSettings`[get, set]`

Gets or sets the current serial port settings.

The current serial settings.

## Event Documentation

EventHandler CommandMessenger.Transport.Serial.SerialTransport.DataReceived

Bytes have been received event.

Implements CommandMessenger.Transport.ITransport.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Serial/SerialTransport.cs